CUDA Driver API (PDF) - v7.0 (older) - Last updated March 5, 2015 - Send Feedback -

## 4.3. CUDA_MEMCPY2D Struct Reference

## [Data types used by CUDA driver]

2D memory copy parameters

### Public Variables

size_t Height
size_t WidthInBytes
CUarray dstArray
CUdeviceptr dstDevice
void * dstHost
CUmemorytype dstMemoryType
size_t dstPitch
size_t dstXInBytes
size_t dstY
CUarray srcArray
CUdeviceptr srcDevice
const void * srcHost
CUmemorytype srcMemoryType
size_t srcPitch
size_t srcXInBytes
size_t srcY

### Variables

size_t CUDA_MEMCPY2D::Height [inherited]

  Height of 2D memory copy

size_t CUDA_MEMCPY2D::WidthInBytes [inherited]

  Width of 2D memory copy in bytes

CUarray CUDA_MEMCPY2D::dstArray [inherited]

  Destination array reference

CUdeviceptr CUDA_MEMCPY2D::dstDevice [inherited]

  Destination device pointer

void * CUDA_MEMCPY2D::dstHost [inherited]

  Destination host pointer

CUmemorytype CUDA_MEMCPY2D::dstMemoryType [inherited]

  Destination memory type (host, device, array)

size_t CUDA_MEMCPY2D::dstPitch [inherited]

  Destination pitch (ignored when dst is array)

size_t CUDA_MEMCPY2D::dstXInBytes [inherited]

  Destination X in bytes

size_t CUDA_MEMCPY2D::dstY [inherited]

  Destination Y

CUarray CUDA_MEMCPY2D::srcArray [inherited]

  Source array reference

CUdeviceptr CUDA_MEMCPY2D::srcDevice [inherited]

  Source device pointer

const void * CUDA_MEMCPY2D::srcHost [inherited]

  Source host pointer

CUmemorytype CUDA_MEMCPY2D::srcMemoryType [inherited]

  Source memory type (host, device, array)

size_t CUDA_MEMCPY2D::srcPitch [inherited]

  Source pitch (ignored when src is array)

size_t CUDA_MEMCPY2D::srcXInBytes [inherited]

  Source X in bytes

size_t CUDA_MEMCPY2D::srcY [inherited]

  Source Y